> This page is for Developer.

> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://docs.bigcommerce.com/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.bigcommerce.com/_mcp/server.

# List Customer Addresses

GET https://api.bigcommerce.com/stores/{store_hash}/v3/customers/addresses

Returns a list of Customer Addresses. Optional filter parameters can be passed in.

Reference: https://docs.bigcommerce.com/developer/api-reference/rest/admin/management/customers/v3/addresses/get-customers-addresses

## Authentication

- `X-Auth-Token` header (required) — ### OAuth scopes | UI Name | Permission | Parameter | |:--------|:-----------|:----------| | Customers | modify | `store_v2_customers` | | Customers | read-only | `store_v2_customers_read_only` | | Stored Payment Instruments | modify | `store_stored_payment_instruments` | | Stored Payment Instruments | read-only | `store_stored_payment_instruments_read_only` | ### Authentication header | Header | Argument | Description | |:-------|:---------|:------------| | `X-Auth-Token` | `access_token` | For more about API accounts that generate `access_token`s, see our [Guide to API Accounts](/developer/docs/overview/api-fundamentals/api-accounts#api-accounts). | ### Further reading For example requests and more information about authenticating BigCommerce APIs, see [Authentication and Example Requests](/developer/docs/overview/api-fundamentals/api-accounts#x-auth-token-header-example-requests). For more about BigCommerce OAuth scopes, see our [Guide to API Accounts](/developer/docs/overview/api-fundamentals/api-accounts#oauth-scopes). For a list of API status codes, see [API Status Codes](/developer/api-reference/rest/overview#rest-http-status-codes).

## Request

### Path parameters

- `store_hash` (string, required) — Permanent ID of the BigCommerce store.

### Query parameters

- `page` (integer, optional) — Page number. `page=1`
- `limit` (double, optional) — Items count per page. `limit=50`
- `company:in` (list of string, optional) — Filter items by company. `company:in=bigcommerce,commongood`
- `name:in` (list of string, optional) — Filter items by first_name and last_name. `name:in=James+Moriarty`
- `customer_id:in` (list of integer, optional) — Filter by the ID of the customer. Also accepts comma-separated IDs to filter for multiple customers. `customer_id:in=23,24,55`
- `include` (list of enum, optional) — Indicates whether to include customer address sub-resources: * `formfields` - address form fields `include=formfields`
  - Allowed values: `formfields`
- `id:in` (list of integer, optional) — Filter items by ID. `id:in=4,5,6`

### Headers

- `Accept` (string, optional, default: application/json) — The MIME type of the response body that the client accepts. Typically `application/json`.

## Response

### 200

A list of customer addresses.

- `data` (list of CustomersAddressesGetResponsesContentApplicationJsonSchemaDataItems, optional)
- `meta` (_metaCollection, optional) — Data about the response, including pagination and collection totals.

## Types

### CustomersAddressesGetResponsesContentApplicationJsonSchemaDataItems

- `address1` (string, required) — The address 1 line.
- `city` (string, required) — The city of the customer address.
- `country_code` (string, required) — The country code of the customer address.
- `customer_id` (integer, required) — The customer ID.
- `first_name` (string, required) — The first name of the customer address.
- `id` (integer, required) — The unique numeric ID of the address.
- `last_name` (string, required) — The last name of the customer address.
- `postal_code` (string, required) — The postal code of the customer address.
- `state_or_province` (string, required) — The state or province name
- `address2` (string, optional) — The address 2 line.
- `address_type` (enum, optional) — The address type. Residential or Commercial.
  - Allowed values: `residential`, `commercial`
- `company` (string, optional) — The company of the customer address.
- `country` (string, optional) — The country name of the customer address.
- `phone` (string, optional) — The phone number of the customer address.
- `form_fields` (list of formFieldValue_Address, optional) — Array of form fields. Controlled by `formfields` parameter.

### _metaCollection

Data about the response, including pagination and collection totals.

- `pagination` (Pagination, optional) — Data about the response, including pagination and collection totals.

### formFieldValue_Address

- `name` (string, required) — The form field name.
- `value` (FormFieldValueAddressValue, required)
- `address_id` (integer, required) — The Customer Address ID.

### Pagination

Data about the response, including pagination and collection totals.

- `total` (integer, optional) — Total number of items in the result set.
- `count` (integer, optional) — Total number of items in the collection response.
- `per_page` (integer, optional) — The amount of items returned in the collection per page, controlled by the limit parameter.
- `current_page` (integer, optional) — The page you are currently on within the collection.
- `total_pages` (integer, optional) — The total number of pages in the collection.
- `links` (Links, optional) — Pagination links for the previous and next parts of the whole collection.

### FormFieldValueAddressValue

### Links

Pagination links for the previous and next parts of the whole collection.

- `previous` (string, optional) — Link to the previous page returned in the response.
- `current` (string, optional) — Link to the current page returned in the response.
- `next` (string, optional) — Link to the next page returned in the response.

## Examples

**Response**

```json
{
  "data": [
    {
      "address1": "123 Example Street",
      "city": "Austin",
      "country_code": "US",
      "customer_id": 1,
      "first_name": "John",
      "id": 18,
      "last_name": "Doe",
      "postal_code": "78759",
      "state_or_province": "Texas",
      "address2": "Building 4",
      "address_type": "residential",
      "company": "BigCommerce",
      "country": "United States",
      "phone": "15551234567"
    }
  ],
  "meta": {
    "pagination": {
      "total": 1,
      "count": 1,
      "per_page": 50,
      "current_page": 1,
      "total_pages": 1
    }
  }
}
```

**SDK Code**

```python response
import requests

url = "https://api.bigcommerce.com/stores/store_hash/v3/customers/addresses"

headers = {"X-Auth-Token": "<apiKey>"}

response = requests.get(url, headers=headers)

print(response.json())
```

```javascript response
const url = 'https://api.bigcommerce.com/stores/store_hash/v3/customers/addresses';
const options = {method: 'GET', headers: {'X-Auth-Token': '<apiKey>'}};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go response
package main

import (
	"fmt"
	"net/http"
	"io"
)

func main() {

	url := "https://api.bigcommerce.com/stores/store_hash/v3/customers/addresses"

	req, _ := http.NewRequest("GET", url, nil)

	req.Header.Add("X-Auth-Token", "<apiKey>")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby response
require 'uri'
require 'net/http'

url = URI("https://api.bigcommerce.com/stores/store_hash/v3/customers/addresses")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Get.new(url)
request["X-Auth-Token"] = '<apiKey>'

response = http.request(request)
puts response.read_body
```

```java response
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.get("https://api.bigcommerce.com/stores/store_hash/v3/customers/addresses")
  .header("X-Auth-Token", "<apiKey>")
  .asString();
```

```php response
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('GET', 'https://api.bigcommerce.com/stores/store_hash/v3/customers/addresses', [
  'headers' => [
    'X-Auth-Token' => '<apiKey>',
  ],
]);

echo $response->getBody();
```

```csharp response
using RestSharp;

var client = new RestClient("https://api.bigcommerce.com/stores/store_hash/v3/customers/addresses");
var request = new RestRequest(Method.GET);
request.AddHeader("X-Auth-Token", "<apiKey>");
IRestResponse response = client.Execute(request);
```

```swift response
import Foundation

let headers = ["X-Auth-Token": "<apiKey>"]

let request = NSMutableURLRequest(url: NSURL(string: "https://api.bigcommerce.com/stores/store_hash/v3/customers/addresses")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "GET"
request.allHTTPHeaderFields = headers

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```